LIBRARY ieee;
USE ieee.std_logic_1164.all;

entity mux4to1 is
	port
	(
		u,v,w,x,s1,s2	: in  std_logic;
		y  : out std_logic
	);
end mux4to1;



architecture behav of mux4to1 is
	signal y1, y2 : std_logic;
begin
   one: entity work.mux2to1
	port map (u, v, s1, y1);
	
	two: entity work.mux2to1
	port map (w, x, s1, y2);
	
	three: entity work.mux2to1
	port map (y1, y2, s2, y);	

end behav;