LIBRARY ieee;
USE ieee.std_logic_1164.all;

entity mux4to1_2bit is
	port
	(
		u,v,w,x : in std_logic_vector(1 downto 0);
		s1,s2	: in  std_logic;
		y  : out std_logic_vector(1 downto 0)
	);
end mux4to1_2bit;



architecture behav of mux4to1_2bit is
	signal y1, y2 : std_logic;
begin
   one: entity work.mux4to1
	port map (u(0), v(0), w(0), x(0), s1, s2, y(0));
	
   two: entity work.mux4to1
	port map (u(1), v(1), w(1), x(1), s1, s2, y(1));
	

end behav;