LIBRARY ieee;
USE ieee.std_logic_1164.all;

entity part4 is
	port
	(
		SW	: in std_logic_vector(9 downto 0);
		HEX0	: out std_logic_vector(0 to 6)
	);
end part4;


architecture behav of part4 is
begin
mux: entity work.SevenSegmentDecoder(behav)
	port map 
	(
		SW(1 downto 0),
		HEX0
	);	
end behav;


LIBRARY ieee;
USE ieee.std_logic_1164.all;
entity SevenSegmentDecoder is
	port
	(
		c	: in std_logic_vector(1 downto 0);
		HEX	: out std_logic_vector(0 to 6)
	);
end SevenSegmentDecoder;


architecture behav of SevenSegmentDecoder is
begin


--	HEX(0) <= '1' when c(1)='0' and c(0)='0' else
--             '0' when c(1)='0' and c(0)='1' else
--				 '1' when c(1)='1' and c(0)='0' else
--				 '1';
--	HEX(1) <= '0' when c(1)='0' and c(0)='0' else
--             '1' when c(1)='0' and c(0)='1' else
--				 '0' when c(1)='1' and c(0)='0' else
--				 '1';	
--	HEX(2) <= '0' when c(1)='0' and c(0)='0' else
--             '1' when c(1)='0' and c(0)='1' else
--				 '0' when c(1)='1' and c(0)='0' else
--				 '1';
--	HEX(3) <= '0' when c(1)='0' and c(0)='0' else
--             '0' when c(1)='0' and c(0)='1' else
--				 '1' when c(1)='1' and c(0)='0' else
--				 '1';	
--	HEX(4) <= '0' when c(1)='0' and c(0)='0' else
--             '0' when c(1)='0' and c(0)='1' else
--				 '1' when c(1)='1' and c(0)='0' else
--				 '1';	
--	HEX(5) <= '1' when c(1)='0' and c(0)='0' else
--             '0' when c(1)='0' and c(0)='1' else
--				 '1' when c(1)='1' and c(0)='0' else
--				 '1';	
--	HEX(6) <= '0' when c(1)='0' and c(0)='0' else
--             '0' when c(1)='0' and c(0)='1' else
--				 '1' when c(1)='1' and c(0)='0' else
--				 '1';
			 

   HEX <= "1000010" when c(1)='0' and c(0)='0' else
          "0110000" when c(1)='0' and c(0)='1' else
			 "1001111" when c(1)='1' and c(0)='0' else
			 "1111111";				 
		
	
end behav;