LIBRARY ieee;
USE ieee.std_logic_1164.all;
	
ENTITY mux_2bit_6to1 IS
PORT ( x1, x2, x3, x4, x5, x6 : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
		 sel : in STD_LOGIC_VECTOR(2 DOWNTO 0);
		 y : OUT STD_LOGIC_VECTOR(1 DOWNTO 0));
END ENTITY;


ARCHITECTURE Behavior OF mux_2bit_6to1 IS
BEGIN
	with sel select	
	y <= x1 when "000",
		  x2 when "001",
		  x3 when "010",
		  x4 when "011",
		  x5 when "100",
		  x6 when "101",
		  x1 when "110",
		  x1 when "111";
  
END ARCHITECTURE;