LIBRARY ieee;
USE ieee.std_logic_1164.all;

entity mux_2bit_4to1 is
	port
	(
		s,u,v,w,x : in std_logic_vector(1 downto 0);
		y  : out std_logic_vector(1 downto 0)
	);
end mux_2bit_4to1;



architecture behav of mux_2bit_4to1 is
	signal y1, y2 : std_logic;
begin
   one: entity work.mux4to1
	port map (u(0), v(0), w(0), x(0), s(1), s(0), y(0));
	
   two: entity work.mux4to1
	port map (u(1), v(1), w(1), x(1), s(1), s(0), y(1));
	

end behav;